Subject: Re: [PATCH 2/8] config.c: Escape backslashes in section names properly

From: Johannes Sixt <[email-masked]>
Date: Wed, 09 Apr 2008 16:25:25 +0200

Bryan Donlan schrieb:
> On Wed, Apr 09, 2008 at 08:31:12AM +0200, Johannes Sixt wrote:
>> Bryan Donlan schrieb:
>>> Signed-off-by: Bryan Donlan <[email-masked]>
>> What is your definition of "properly"? Please give an example of what went
>> wrong.
> 
> The included patch to the test suite is an example - specifically if an
> element of the configuration key name other than the first or last
> contains a backslash, it would not be escaped on output, but would be
> treated as an escape sequence on input. Thus the backslash would be
> lost.

Could you then please add this to the commit message, most importantly,
the last sentence?

-- Hannes